#![cfg_attr(not(feature = "std"), no_std)]
#![feature(array_chunks)]
#![feature(core_intrinsics)]
#![feature(const_eval_select)]
#![feature(const_slice_index)]
#![feature(const_trait_impl)]
#![feature(extend_one)]
#![feature(generic_const_exprs)]
#![feature(int_log)]
#![feature(maybe_uninit_slice)]
#![feature(maybe_uninit_uninit_array)]
#![feature(maybe_uninit_array_assume_init)]
#![feature(const_maybe_uninit_array_assume_init)]
#![feature(const_maybe_uninit_uninit_array)]
#![cfg_attr(feature = "alloc", feature(new_uninit))]
#![feature(stdsimd)]
#![feature(portable_simd)]
// ignores warning about `generic_const_exprs`
#![allow(incomplete_features)]

#[cfg(feature = "alloc")]
extern crate alloc;

pub mod simd;
pub(crate) mod util;

#[doc(hidden)]
#[cfg(any(test, feature = "test"))]
pub mod test;

pub mod dec;
pub mod enc;

pub mod prelude;
