pub(crate) use crate::simd;
pub(crate) use crate::util;

pub(crate) use simd::arch;
pub(crate) use simd::if_trace_simd;
pub(crate) use simd::SimdBitwise;
pub(crate) use simd::SimdLoad;
pub(crate) use simd::SimdSplat;
pub(crate) use simd::SimdTestAnd;

pub(crate) use util::array_op;
pub(crate) use util::unroll;

pub use crate::enc::{Encode as _, Encoder as HexEncoder};
